Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.jobs.ee.jms
Class SendTopicMessageJob

    java.lang.Object
      org.quartz.jobs.ee.jms.SendTopicMessageJob

All Implemented Interfaces:
  Job

    public final class SendTopicMessageJob

extends Object
implements Job

A `Job` that sends a `javax.jms.Message` to a `javax.jms.Topic`. This class is for older JMS. If you are using JMS 1.1, you should use `SendDestinationMessageJob` instead.

The following properties are expected to be provided in the `JobDataMap`:

- `JMS_CONNECTION_FACTORY_JNDI` - The JNDI name of the JMS Connection Factory.
- `JMS_DESTINATION_JNDI` - The JNDI name of the JMS destination.
- `JMS_USE_TXN` - Whether or not to use a transacted `javax.jms.Session`.
- `JMS_ACK_MODE` - The acknowledgment mode for the `javax.jms.Session`.
- `JMS_MSG_FACTORY_CLASS_NAME` - The implementation class name for the `JmsMessageFactory`.

The following properties are optional

- `JMS_USER` - The JMS user for secure destinations.
- `JMS_PASSWORD` - The JMS password for secure destinations.

The following properties can be used for JNDI support:

- `INITIAL_CONTEXT_FACTORY` - The java.naming.factory.initial setting for JNDI.
- `PROVIDER_URL` - The java.naming.provider.url for JNDI.

Author:
  Fernando Ribeiro, Weston M. Price
See Also:
  `JmsMessageFactory`

Constructor Summary
`SendTopicMessageJob()`

Method Summary
`void` | `execute(JobExecutionContext jobCtx)` Called by the ``Scheduler`` when a ``Trigger`` fires that is associated with the `Job`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendTopicMessageJob

    public SendTopicMessageJob()

Method Detail

### execute

    public void execute(JobExecutionContext jobCtx)
                 throws JobExecutionException

  Description copied from interface: `Job`

  Called by the ``Scheduler`` when a ``Trigger`` fires that is associated with the `Job`.

  The implementation may wish to set a `result` object on the `JobExecutionContext` before this method exits. The result itself is meaningless to Quartz, but may be informative to ``JobListener`s` or ``TriggerListener`s` that are watching the job's execution.

  Specified by:
    `execute` in interface `Job`
  Throws:
    `JobExecutionException` - if there is an exception while executing the job.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.